import { request } from '@/service/request';

/**
 * 三方应用下的所有分类列表
 * @param code
 * @returns
 */
export function fetchGetAllCategory(code: string) {
  return request({
    url: `/smqjh-pms/api/v1/front_category/${code}`,
    method: 'get'
  });
}

/**
 * 三方应用下的列表
 *
 */
export function fetchGetAllAppList() {
  return request({
    url: `/smqjh-pms/api/v1/other_type`,
    method: 'get'
  });
}

/**
 * 商品分类所有列表
 * @returns
 */
export function fetchGetCategoryList(data: any) {
  return request({
    url: `/smqjh-pms/api/v1/categories/getCategoryList`,
    method: 'post',
    data
  });
}
/**
 * 三方应用下的列表
 *
 */
export function fetchGetCategoryDetail(id: number | undefined) {
  return request({
    url: `/smqjh-pms/api/v1/categories/${id}`,
    method: 'get'
  });
}
/**
 *
    新增分类一级
 * @param data
 * @returns
 */

export function fetchAddCategoryOne(data: any) {
  return request({
    url: `/smqjh-pms/api/v1/categories/addTopCategory`,
    method: 'post',
    data
  });
}

/**
 *
    新增分类二级
 * @param data
 * @returns
 */

export function fetchAddCategoryTwo(data: any) {
  return request({
    url: `/smqjh-pms/api/v1/categories/saveCategoryForm`,
    method: 'post',
    data
  });
}
/**
 *
    新增分类二级
 * @param data
 * @returns
 */

export function fetchEditCategory(data: any) {
  return request({
    url: `/smqjh-pms/api/v1/categories/updateCategory`,
    method: 'post',
    data
  });
}

/**
 *
    删除分类
 * @param data
 * @returns
 */

export function delCategory(ids: any) {
  return request({
    url: `/smqjh-pms/api/v1/categories/${ids}`,
    method: 'DELETE'
  });
}
